<template>
  <b-form @submit.prevent="create_classification()">
    <b-form-group
        id="input-group-1"
        label="Name:"
        label-for="input-1"
    >

      <b-form-input
          id="input-1"
          v-model="form.name"
          placeholder="Enter name"
          required
      ></b-form-input>
    </b-form-group>

    <div class="modal_button">
      <b-button :disabled="disabled_submit" variant="success" type="submit">Create</b-button>
    </div>

  </b-form>
</template>

<script>
import axios from "axios";

export default {
  name: "AddClassification",
  data() {
    return {
      disabled_submit: false,
      form: {
        name: ''
      }
    }
  },
  mounted: function () {
  },
  methods: {

    create_classification: function () {
      axios({
        url: '/api/classification/',
        method: 'post',
        params: {'name': this.form.name}
      }).then(response => {
        this.$root.make_notification('New classification created successfully', 'successful', 'success')
        this.$emit('done_create_classification', response.data);
      }).catch(error => {
        this.$root.make_notification(
            !error.response || error.response.status >= 500
                ? 'Something went wrong 🤷‍♀️'
                : error.response.data.reason,
            'Failed create classification')
        this.$emit('template_ready');
      });
    },
  }

}
</script>

<style scoped>
.modal_button{
  text-align: right;
}
</style>